
  public partial class _Default : System.Web.UI.Page
  {
      protected void Page_Load(object sender, EventArgs e)
      {
          if (【Session】["UserName"] == null 【||】 Session["UserName"].ToString() == "")
          {
              //如果未登录，则转向登录页面
              Response.【Redirect】("login.aspx");
          }
      }
  }

--答案--
   Session   Redirect